Messages レスポンスを作成
curl --request POST \
--url https://apiany.ai/v1/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "minimax-m3",
"max_tokens": 512,
"messages": [
{
"role": "user",
"content": "Draft three API documentation section titles."
}
]
}
'import requests
url = "https://apiany.ai/v1/messages"
payload = {
"model": "minimax-m3",
"max_tokens": 512,
"messages": [
{
"role": "user",
"content": "Draft three API documentation section titles."
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'minimax-m3',
max_tokens: 512,
messages: [{role: 'user', content: 'Draft three API documentation section titles.'}]
})
};
fetch('https://apiany.ai/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "message",
"role": "assistant",
"content": [
{}
],
"model": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"input_tokens": 123,
"output_tokens": 123,
"cached_input_tokens": 123
}
}{
"error": {
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}Chat
Messages レスポンスを作成
Anthropic 互換の Messages エンドポイント。
POST
/
v1
/
messages
Messages レスポンスを作成
承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ボディ
application/json
例:
"minimax-m3"
Show child attributes
Show child attributes
生成する最大トークン数(必須)。
必須範囲:
x >= 1システムプロンプト。
ランダム性(0〜1)。
必須範囲:
0 <= x <= 1必須範囲:
0 <= x <= 1各トークンで確率が最も高い上位 K 個の候補のみからサンプリングします。
カスタムの停止シーケンス。
モデルが呼び出せるツール。各ツールは name、description、input_schema(JSON Schema)を含みます。
ツール選択: { type: 'auto' } | { type: 'any' } | { type: 'tool', name }。
true の場合、Anthropic SSE イベントストリームで返却します(message_start / content_block_delta / message_delta / message_stop)。
⌘I